Skip to main content

List user's attribute values

List user's attribute values

Path Parameters
id string — REQUIRED

Unique identifier (id or clientId)

Query Parameters
per_page number

Possible values: value ≤ 100

Number of items to return per page (max 100)

offset number

Number of items to skip (for pagination)

created_before date-time

Filter items created before this date (ISO 8601 format)

created_after date-time

Filter items created after this date (ISO 8601 format)

updated_before date-time

Filter items updated before this date (ISO 8601 format)

updated_after date-time

Filter items updated after this date (ISO 8601 format)

Responses
200

Return a paginated list of user's attribute values

Schema — OPTIONAL
attributeValues object[]

Array of customer attribute values

createdAt date-time

Creation date of the attribute value

updatedAt date-time

Last update date of the attribute value

textValue string — OPTIONAL

Text value (for TEXT type attributes)

urlValue string — OPTIONAL

URL value (for URL type attributes)

numericValue number — OPTIONAL

Numeric value (for NUMERIC type attributes)

ratingValue number — OPTIONAL

Rating value (for RATING type attributes)

booleanValue boolean — OPTIONAL

Boolean value (for BOOLEAN type attributes)

dateValue string — OPTIONAL

Date value (for DATE type attributes)

attributeId string

Identifier of the associated attribute